<template>
  <div>
    <el-card>
      <el-row>
        <span>零件图号:</span>
        <el-input v-model="partName" placeholder="零件图号" size="small" clearable style="width:200px"/>
        <el-button size="small" icon="el-icon-search" type="success" style="margin-left: 10px" @click="pageSize=10; pageCurrent=1;searchTable()">查询</el-button>
        <el-checkbox v-model="all" size="mini" @change="searchTable">查询全部</el-checkbox>
        <el-button :disabled="all" size="small" icon="el-icon-success" type="primary" style="margin-left: 10px" @click="edit()">到货</el-button>
        <!--<el-button size="small" icon="el-icon-refresh" type="success" style="margin-left: 10px" @click="pageSize=10; pageCurrent=1;searchTable()">刷新</el-button>-->
      </el-row>
    </el-card>

    <el-card>
      <el-table v-loading="loading" :data="tableData" height="580" style="width: 100%;" border element-loading-text="拼命加载中" @selection-change="handleSelectionChange">
        <el-table-column
          type="selection"
          width="55"
          align="center"/>
        <el-table-column label="到货状态" width="100" align="center">
          <template slot-scope="scope">
            <el-tag v-if="scope.row.备料到货==='1'" type="success" size="small">已到货</el-tag>
            <el-tag v-if="scope.row.备料到货==='0'" type="warning" size="small">未到货</el-tag>
          </template>
        </el-table-column>
        <el-table-column label="零件名称" align="center" width="220px">
          <template slot-scope="scope">
            {{ scope.row.零件名称 }}
          </template>
        </el-table-column>
        <el-table-column label="零件图号" align="center" width="240px">
          <template slot-scope="scope">
            {{ scope.row.零件图号 }}
          </template>
        </el-table-column>
        <el-table-column label="备料" align="center">
          <template slot-scope="scope">
            {{ scope.row.工艺要求 }}
          </template>
        </el-table-column>
      </el-table>
      <div class="block">
        <el-pagination
          v-if="!loading"
          :current-page="pageCurrent"
          :page-sizes="[10, 20, 30, 40, 100]"
          :page-size="pageSize"
          :total="total"
          layout="total, sizes, prev, pager, next, jumper"
          @size-change="handleSizeChange"
          @current-change="handleCurrentChange"/>
      </div>
    </el-card>

  </div>
</template>

<script>
import { searchtable, searchtable2, change } from '@/api/ManufacturingCenter/MaterialArrivalManagement'
export default {
  data() {
    return {
      bianliang1: [],
      bianliang2: [],
      num: 0,
      arrest: [],
      all: false,
      partName: '',
      loading: false,
      tableData: [], // 表格数据
      total: null, // 总条数
      pageSize: 10, // 每页显示条数
      pageCurrent: 1 // 后台获取页
    }
  },
  created() {
    this.searchTable()
  },
  methods: {
    // 查询表格数据
    searchTable() {
      this.loading = true
      this.tableData = []
      this.Data = []
      if (this.partName !== '' && this.partName !== null) {
        this.partNamecheck = true
      } else {
        this.partNamecheck = false
      }
      searchtable(this.partNamecheck, this.partName, !this.all, this.pageCurrent, this.pageSize).then(response => {
        if (response.data.total === 0) {
          this.loading = false
        } else {
          this.Data = response.data.rows
          this.total = response.data.total
        }
      }).then(() => {
        for (let i = 0; i < this.Data.length; i++) {
          searchtable2(this.Data[i].工艺计划流水号).then(response => {
            this.tableData.push({
              工艺计划流水号: this.Data[i].工艺计划流水号,
              零件名称: this.Data[i].零件名称,
              零件图号: this.Data[i].零件图号,
              备料到货: this.Data[i].备料到货,
              工艺要求: response.data[0].工艺要求,
              工序流水号: response.data[0].工序流水号
            })
          })
          this.loading = false
        }
      })
    },
    handleSelectionChange(val) {
      this.arrest = val
    },
    edit() {
      if (this.arrest.length === 0) {
        this.$message.warning('请选择零件')
      } else {
        for (let i = 0; i < this.arrest.length; i++) {
          this.bianliang1.push(this.arrest[i].工艺计划流水号)
          this.bianliang2.push(this.arrest[i].工序流水号)
        }
        change(this.bianliang2, '0000', this.bianliang1).then(() => {
          this.searchTable()
        })
      }
    },
    // 分页
    handleSizeChange(val) {
      this.pageCurrent = 1
      this.pageSize = val
      this.searchTable()
    },
    handleCurrentChange(val) {
      this.pageCurrent = val
      this.searchTable()
    }
  }
}
</script>

<style scoped>

</style>
